aboutsummaryrefslogtreecommitdiff
path: root/patches
diff options
context:
space:
mode:
authorrhatto <rhatto@370017ae-e619-0410-ac65-c121f96126d4>2007-05-03 15:24:09 +0000
committerrhatto <rhatto@370017ae-e619-0410-ac65-c121f96126d4>2007-05-03 15:24:09 +0000
commit7a060d335ec72f07e3ab10f6292fdb66e5532cfc (patch)
tree51d8a1332bbb44fe493e2a2786643b304440a3f0 /patches
parent3024e14e67c971409a12236203dc59fd2d72a7d1 (diff)
downloadslackbuilds-7a060d335ec72f07e3ab10f6292fdb66e5532cfc.tar.gz
slackbuilds-7a060d335ec72f07e3ab10f6292fdb66e5532cfc.tar.bz2
updated patches/gnupg
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@1202 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'patches')
-rwxr-xr-xpatches/file/file.SlackBuild4
-rwxr-xr-xpatches/gnupg/gnupg.SlackBuild50
2 files changed, 34 insertions, 20 deletions
diff --git a/patches/file/file.SlackBuild b/patches/file/file.SlackBuild
index ec524b4d..2cdf12fb 100755
--- a/patches/file/file.SlackBuild
+++ b/patches/file/file.SlackBuild
@@ -1,7 +1,7 @@
#!/bin/bash
#
-# Got it from ftp://ftp.slackware.com/pub/slackware/slackware-11.0/patches/source/file/file.SlackBuild
-# Small changes by rhatto at riseup.net
+# got it from ftp://ftp.slackware.com/pub/slackware/slackware-11.0/patches/source/file/file.SlackBuild
+# small changes by rhatto at riseup.net
#
if [ -s "slack-required" ]; then
diff --git a/patches/gnupg/gnupg.SlackBuild b/patches/gnupg/gnupg.SlackBuild
index eec308d6..0fb05862 100755
--- a/patches/gnupg/gnupg.SlackBuild
+++ b/patches/gnupg/gnupg.SlackBuild
@@ -3,6 +3,18 @@
# got it from ftp://ftp.slackware.com/pub/slackware/slackware-10.2/patches/source/gnupg/gnupg.SlackBuild
# small changes by rhatto
+if [ -s "slack-required" ]; then
+ echo Recomended and required packages for building cairo are:
+ cat slack-required | sed -e 's/^/\t/'
+ if [ "$INTERACT" != "no" ]; then
+ echo If you dont have those installed, press Ctrl-C. Otherwise, hit ENTER.
+ read crap
+# else
+# echo Sleeping 3 seconds...
+# sleep 3
+ fi
+fi
+
# Set initial variables:
CWD="`pwd`"
@@ -13,7 +25,7 @@ elif [ -f /etc/slackbuildrc ]; then
fi
PACKAGE="gnupg"
-VERSION=${VERSION:=1.4.5}
+VERSION=${VERSION:=1.4.7}
ARCH=${ARCH:=i486}
BUILD=${BUILD:=1rha}
TMP=${TMP:=/tmp}
@@ -26,6 +38,12 @@ else
LIBDIR=/usr/lib
fi
+# ------- error codes for createpkg --------------
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
+ERROR_PATCH=40
+
# signing key from http://www.gnupg.org/(en)/signature_key.html
gpg --import << EOGPG
-----BEGIN PGP PUBLIC KEY BLOCK-----
@@ -284,23 +302,19 @@ PACKAGE_EXT="bz2"
SRC="$PACKAGE-$VERSION.tar.$PACKAGE_EXT"
URL="ftp://ftp.gnupg.org/gcrypt/gnupg/$SRC"
-if [ "$PACKAGE_EXT" == "bz2" ]; then
- tarflag="j"
-else
- tarflag="z"
-fi
-
SRC_DIR="$SRC_DIR/$PACKAGE"
mkdir -p $SRC_DIR
-if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
- rm -f $SRC_DIR/$SRC.sig
- wget "$URL" -O "$SRC_DIR/$SRC"
- wget "$URL.sig" -O "$SRC_DIR/$SRC.sig"
+if [ "$RTOOL" == "wget" ]; then
+ if [ ! -f "$SRC_DIR/$SRC" ]; then
+ wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
+ fi
+ if [ ! -f "$SRC_DIR/$SRC.sig" ]; then
+ wget "$URL.sig" -O "$SRC_DIR/$SRC.sig" || exit $ERROR_WGET
+ fi
fi
-gpg --verify $SRC_DIR/$SRC.sig || echo WARNING: error checking signature!
-sleep 2
+gpg --verify $SRC_DIR/$SRC.sig || exit $ERROR_GPG
if [ "$ARCH" = "i386" ]; then
SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
@@ -319,7 +333,7 @@ mkdir -p $PKG
cd $TMP
rm -rf gnupg-$VERSION
-tar xvf$tarflag $SRC_DIR/$SRC
+tar xvf $SRC_DIR/$SRC || exit $ERROR_TAR
cd gnupg-$VERSION
chown -R root.root .
find . -perm 664 -exec chmod 644 {} \;
@@ -333,9 +347,9 @@ find . -perm 511 -exec chmod 755 {} \;
find . -perm 711 -exec chmod 755 {} \;
find . -perm 555 -exec chmod 755 {} \;
CFLAGS="$SLKCFLAGS" \
-./configure --prefix=/usr --libdir=$LIBDIR
-make -j3
-make install DESTDIR=$PKG
+./configure --prefix=/usr --libdir=$LIBDIR || exit $ERROR_CONF
+make -j3 || exit $ERROR_MAKE
+make install DESTDIR=$PKG || exit $ERROR_INSTALL
strip --strip-unneeded $PKG/usr/bin/*
chown -R root.bin $PKG/usr/bin
rm -f $PKG/usr/info/dir
@@ -354,7 +368,7 @@ cat $CWD/slack-desc.gnupg > $PKG/install/slack-desc
# Build the package:
cd $PKG
-makepkg -l y -c n $REPOS/gnupg-$VERSION-$ARCH-$BUILD.tgz
+makepkg -l y -c n $REPOS/gnupg-$VERSION-$ARCH-$BUILD.tgz || exit $ERROR_MKPKG
# Clean up the extra stuff:
if [ "$1" = "--cleanup" ]; then